import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MIDIUMPCIProfile extends _NSObject {
    static alloc(): _MIDIUMPCIProfile;
    static new(): _MIDIUMPCIProfile;
    init(): _MIDIUMPCIProfile;
    /**
     * Issue a Set Profile On or Set Profile Off request on this profile using the MIDI server's MUID. YES if setting the Profile to on. The requsted number of channels to be enabled when the Profile is enabled. This field is only used when isOn is set to YES and the profile can enable a variable number of channels. Otherwise, it is ignored. The out-error used if an error occurred. The result of this operation, if any, is received via the profile notification posted by the MIDICIDeviceManager. Returns YES if the request is valid and the request was dispatched.
     */
    setProfileState$enabledChannelCount$error$(isEnabled: boolean, enabledChannelCount: number, error: NobjcObject | null): boolean;
    /** The name of the MIDI-CI proifle. */
    name(): _NSString;
    /** C struct representation of MIDI-CI Profile ID. */
    profileID(): NobjcObject;
    /**
     * The type of MIDI-CI Profile, i.e., single-channel, multichannel, Group, or Function Block.
     */
    profileType(): NobjcObject;
    /**
     * For Group profiles defined on Function Blocks, the value to be added to the lowest Function Block UMP Group for messaging (e.g., a Group Profile defined on the second Group of a Function Block has a groupOffset of 1).
     */
    groupOffset(): NobjcObject;
    /** The first channel number supported on the Profile. */
    firstChannel(): number;
    /**
     * The number of channels currently enabled on the Profile. When the profile is disabled, this value is set to 0.
     */
    enabledChannelCount(): number;
    /** The total number of channels supported by the Profile. */
    totalChannelCount(): number;
    /** The enable state of the Profile. */
    isEnabled(): boolean;
}
